import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;

/**
  *
  * Beschreibung
  *
  * @version 1.0 vom 13.01.2014
  * @author 
  */

public class RatgeberGUI extends JFrame {
  // Anfang Attribute
  private JLabel jLabel1 = new JLabel();
  private JButton jButton1 = new JButton();
  private JTextField jTextField1 = new JTextField();
  private JLabel jLabel2 = new JLabel();
  // Ende Attribute
  
  public RatgeberGUI(String title) { 
    // Frame-Initialisierung
    super(title);
    setDefaultCloseOperation(WindowConstants.DISPOSE_ON_CLOSE);
    int frameWidth = 300; 
    int frameHeight = 300;
    setSize(frameWidth, frameHeight);
    Dimension d = Toolkit.getDefaultToolkit().getScreenSize();
    int x = (d.width - getSize().width) / 2;
    int y = (d.height - getSize().height) / 2;
    setLocation(x, y);
    setResizable(false);
    Container cp = getContentPane();
    cp.setLayout(null);
    // Anfang Komponenten
    
    jLabel1.setBounds(32, 16, 252, 63);
    jLabel1.setText("Ratgeber");
    jLabel1.setFont(new Font("Verdana", Font.BOLD, 48));
    cp.add(jLabel1);
    jButton1.setBounds(72, 104, 171, 25);
    jButton1.setText("Soll ich ... ?");
    jButton1.setMargin(new Insets(2, 2, 2, 2));
    jButton1.addActionListener(new ActionListener() { 
      public void actionPerformed(ActionEvent evt) { 
        jButton1_ActionPerformed(evt);
      }
    });
    cp.add(jButton1);
    jTextField1.setBounds(48, 200, 217, 49);
    jTextField1.setEditable(false);
    jTextField1.setHorizontalAlignment(SwingConstants.CENTER);
    jTextField1.setFont(new Font("Verdana", Font.PLAIN, 18));
    cp.add(jTextField1);
    jLabel2.setBounds(48, 168, 110, 20);
    jLabel2.setText("Mein Rat:");
    cp.add(jLabel2);
    // Ende Komponenten
    
    setVisible(true);
  } // end of public RatgeberGUI
  
  // Anfang Methoden
  public void jButton1_ActionPerformed(ActionEvent evt) {
    Rad meinRad = new Rad();
    meinRad.init();
    jTextField1.setText(meinRad.getZufallsEintrag());
  } // end of jButton1_ActionPerformed

  // Ende Methoden
  
  public static void main(String[] args) {
    new RatgeberGUI("RatgeberGUI");
  } // end of main
  
} // end of class RatgeberGUI
